# QWebHitTestResult Class Reference

### [com.trolltech.qt.webkit package]

### Constructor

- void QWebHitTestResult()
- void QWebHitTestResult(QWebHitTestResult other)

### Constructor Properties

- prototype: The QWebHitTestResult prototype object

### Prototype Object Properties

- String alternateText()
- QRect boundingRect()
- QWebElement element()
- QWebElement enclosingBlockElement()
- QWebFrame frame()
- QUrl imageUrl()
- bool isContentEditable()
- bool isContentSelected()
- bool isNull()
- QWebElement linkElement()
- QWebFrame linkTargetFrame()
- String linkText()
- QUrl linkTitle()
- QUrl linkUrl()
- QPixmap pixmap()
- QPoint pos()
- String title()

### Instance Properties

QWebHitTestResult objects have no special properties beyond those inherited from the QWebHitTestResult prototype object.